# Islands Text Client v0.1.74 Islands.Text.Client.Input View Source

# Link to this section Summary

## Types

t()

## Functions

check_input(input, state)
get_input(prompt, state)

# Link to this section Types

Link to this type t() View Source

    t() :: IO.chardata() | IO.nodata()

# Link to this section Functions

Link to this function check_input(input, state) View Source

    check_input(t(), Islands.Text.Client.State.t()) ::
      Islands.Text.Client.State.t() | no_return()

Link to this function get_input(prompt, state) View Source

    get_input(IO.ANSI.Plus.ansilist(), Islands.Text.Client.State.t()) :: t()